﻿using System.ComponentModel.DataAnnotations;

namespace DamageAssesment.Api.Questions.Models
{
    public class Question
    {
        public int Id { get; set; }
        public List<QuestionsTranslation> Questions { get; set; }

        //public int QuestionTypeID { get; set; }

        public string TypeText { get; set; } = string.Empty;

        public int QuestionNumber { get; set; }
        public bool IsRequired { get; set; }
        public bool Comment { get; set; }

        public bool Key { get; set; }
        public int? SurveyId { get; set; }
        public int CategoryId { get; set; }
        // public int? Survey_SurveyID { get; set; }
    }
}
